Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82550

Summary: metacity shouldn't save maximized window size
Product: [Retired] Red Hat Linux Reporter: Julien Olivier <julo42>
Component: mozillaAssignee: Christopher Aillon <caillon>
Status: CLOSED CANTFIX QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 16:40:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Fixes the unmaximization problem for buggy apps such as Mozilla, OOO etc... none

Description Julien Olivier 2003-01-23 10:31:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
If you open an app (for example Mozilla) and resizes its window to 400x300, then
close it, Metacity will start it next time at 400x300.

That's OK.

Now, open Mozilla again (at 400x300), then maximize it, then close it.

Now, open Mozilla again. It's maximized. That's OK too.

Now, if you unmaximize it, the window won't go back to 400x300 but be even
bigger than in maximized status.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open Mozilla
2.Resize it to 400x300
3.Maximize it
4.Close it
5.Open Mozilla
6.Un-maximize it
    

Actual Results:  The un-maximized window is bigger than the maximized one !

Expected Results:  The un-maximized window should be 400x300 (the size before
maximization)

Additional info:

Comment 1 Havoc Pennington 2003-01-23 15:07:43 UTC
Metacity isn't saving anything, that's all mozilla. It could save "last
not-maximized size" if it wanted.

Comment 2 Julien Olivier 2003-01-23 16:11:26 UTC
I tested with sawfish and, you're right, it dosn't change anything.

But what's stranger is that the problem can be re-produced with Abiword,
Evolution, OpenOffice and Synaptic but not with Gedit.

So it seems it's application-related. But I wonder why apps like Mozilla,
Abiword or OpenOffice don't have this problem on Suse/KDE.

What should I do ? Should I report bugs for each app ?

Comment 3 Julien Olivier 2003-02-12 16:50:54 UTC
Created attachment 90034 [details]
Fixes the unmaximization problem for buggy apps such as Mozilla, OOO etc...

If the window size is >= the screen's size, set the saved size to a pre-defined
size (width*0.75, height*0.85). So, if the app stupidly saved the maximized
window size, you still can unmaximize it to a decent size.

Comment 4 Julien Olivier 2003-05-23 10:46:41 UTC
What about this patch ? Any chance to see it included in Metacity ?

Comment 5 Bill Nottingham 2006-08-07 19:17:10 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 6 Bill Nottingham 2006-10-18 16:40:13 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.